<?php
declare(strict_types=1);

namespace Archive\StreamWrapper\Exception;

use App\Framework\StreamWrapper\Exception\StreamWrapperException;

/**
 * Exception für nicht unterstützte Stream-Protokolle
 */
class UnsupportedProtocolException extends StreamWrapperException
{
    public function __construct(string $protocol)
    {
        parent::__construct("Unsupported stream protocol: $protocol");
    }
}
